# MIN\_OF\_ANY

### Description

`MIN_OF_ANY` is the flexible counterpart of [`MIN`](/rule-language/operators/mathematical-operators/min.md).

It looks at all values you provide in between a set of brackets, each separated by a comma, and returns the lowest value.

If a value is not available:

* `MIN_OF_ANY` simply ignores it and gives you the highest out of values that are available
* `MIN`, before returning a result, will ask users to provide the missing value.

### Example

```
p is Person
MIN_OF_ANY(
    p.income_from_employment, 
    p.income_from_wealth_gain, 
    p.other_income
)
```

This [expression](/rule-language/expressions.md) will give you the value of the lowest single type of personal income, out of the three types mentioned.

If the person in this case does not have any income from wealth gain, the outcome will be the lower value of the other two sources of income.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/unknown-operators/min_of_any.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
